Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QAccessibleObject Class Reference

The QAccessibleObject class implements parts of the QAccessibleInterface for QObjects. More...

`#include <qaccessible.h>`

Inherits QObject and QAccessibleInterface.

List of all member functions.

## Public Members

- QAccessibleObject ( QObject * object )
- virtual ~QAccessibleObject ()

## Protected Members

- QObject * object () const

## Detailed Description

The QAccessibleObject class implements parts of the QAccessibleInterface for QObjects.

This class is mainly provided for convenience. All subclasses of the QAccessibleInterface should use this class as the base class.

See also Miscellaneous Classes.

## Member Function Documentation

### QAccessibleObject::QAccessibleObject ( QObject * object )

Creates a QAccessibleObject for object.

### QAccessibleObject::~QAccessibleObject ()`[virtual]`

Destroys the QAccessibleObject.

This only happens when a call to release() decrements the internal reference counter to zero.

### QObject * QAccessibleObject::object () const`[protected]`

Returns the QObject for which this QAccessibleInterface implementation provides information. Use isValid() to make sure the object pointer is safe to use.

This file is part of the Qt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.